Name:           lrzip
Version:        0.560
Release:        1
Summary:        Compression program optimised for large files
Group:          Applications/File
License:        GPLv2+
URL:            http://ck.kolivas.org/apps/lrzip/
Source0:        http://ck.kolivas.org/apps/lrzip/%{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  make, patch, perl >= 5.8.8
BuildRequires:  bzip2, lzo-devel >= 2.03, zlib-devel >= 1.2.3
Requires:       bzip2, lzo >= 2.03, zlib >= 1.2.3

%description
Long Range ZIP or Lzma RZIP

This is a compression program optimised for large files. The larger the file
and the more memory you have, the better the compression advantage this will
provide, especially once the files are larger than 100MB. The advantage can
be chosen to be either size (much smaller than bzip2) or speed (much faster
than bzip2). Decompression is always much faster than bzip2.


%prep
%setup -q
%patch0


%build
export CC="cc -qcpluscmt -D_LARGE_FILES"
export PATH=/opt/freeware/bin:$PATH

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

make %{?_smp_mflags} POD2MAN=%{_bindir}/pod2man


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc COPYING README
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/doc/%{name}-%{version}
/usr/bin/*


%changelog
* Mon Feb 21 2011 Michael Perzl <michael@perzl.org> - 0.560-1
- updated to version 0.560

* Thu Oct 28 2010 Michael Perzl <michael@perzl.org> - 0.47-1
- updated to version 0.47

* Fri Sep 03 2010 Michael Perzl <michael@perzl.org> - 0.46-1
- updated to version 0.46

* Fri Jan 15 2010 Michael Perzl <michael@perzl.org> - 0.44-1
- first version for AIX V5.1 and higher
